Subject: Re: HTB/act_mirred problem [was: one more... iproute commands lockup whole system]

From: jamal <[email-masked]>
Date: Wed, 04 Apr 2007 21:33:28 -0400

On Wed, 2007-04-04 at 16:50 +0200, Patrick McHardy wrote:

> Anyway, we can't return NET_XMIT_SUCCESS, so how about just returning
> NET_XMIT_BYPASS in all cases where the packet was stolen/dropped/...
> by TC actions?

Ok, I think i get you now. Yes, that would work, but:
for the dropped case, you need to record into the dropped stats (unlike
the the other two).

> > I can
> > go back and look at my notes to be certain. At one point i posted those
> > notes, it maybe time to add them to the kernel code or doc somewhere.
> 
> 
> In case they're still up to date, adding them somewhere under
> Documentation/ sounds good.

I think it is still uotodate, if not i will make sure it is before i
submit it.

cheers,
jamal